Package org.codehaus.groovy.tools.groovydoc

## Interface OutputTool

- All Known Implementing Classes:
    `FileOutputTool`, `MockOutputTool`

      public interface OutputTool

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `makeOutputArea​(String filename)` |
    `void` | `writeToOutput​(String fileName, String text, String charset)` |

- - ### Method Detail

    - #### makeOutputArea

          void makeOutputArea​(String filename)

    - #### writeToOutput

          void writeToOutput​(String fileName,
                             String text,
                             String charset)
                      throws Exception

      Throws:
        `Exception`